/* GIMP - The GNU Image Manipulation Program
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include <stdlib.h>

#include <glib-object.h>

#include <gio/gio.h>
#include <gegl.h>

int
main (int    argc,
      char **argv)
{
  GOptionContext *context;
  GError         *error1 = NULL;
  GError         *error2 = NULL;
  GDBusConnection *connection;

printf("%s: %d\n", __FILE__, __LINE__);
  g_thread_init (NULL);

printf("%s: %d\n", __FILE__, __LINE__);
  context = g_option_context_new ("[FILE|URI...]");

printf("%s: %d\n", __FILE__, __LINE__);
  g_type_init ();

printf("%s: %d\n", __FILE__, __LINE__);
  g_option_context_add_group (context, gegl_get_option_group ());

printf("%s: %d\n", __FILE__, __LINE__);
  g_option_context_parse_strv (context, &argv, &error1);

  if (error1) printf("%s: %d: %s\n", __FILE__, __LINE__, error1->message);

printf("%s: %d\n", __FILE__, __LINE__);
  connection = g_bus_get_sync (G_BUS_TYPE_SESSION, NULL, &error2);
printf("%s: %d: connection = %d\n", __FILE__, __LINE__, connection != 0);

  if (error2) printf("%s: %d: %s\n", __FILE__, __LINE__, error2->message);

printf("%s: %d\n", __FILE__, __LINE__);
  g_option_context_free (context);

  return EXIT_SUCCESS;
}
